#

API Docs for: 1.5.0
Show: Inherited Protected Private Deprecated

# NormalMapFilter Class

Defined in: `src/pixi/filters/NormalMapFilter.js:6`
Module: PIXI

The NormalMapFilter class uses the pixel values from the specified texture (called the displacement map) to perform a displacement of an object. You can use this filter to apply all manor of crazy warping effects Currently the r property of the texture is used offset the x and the g propery of the texture is used to offset the y.

- Index
- Properties

## Item Index

### Properties

- map
- offset
- scale

## Properties

### `map`

Texture

Defined in `src/pixi/filters/NormalMapFilter.js:181`

The texture used for the displacemtent map * must be power of 2 texture at the moment

### `offset`

Point

Defined in `src/pixi/filters/NormalMapFilter.js:211`

The offset used to move the displacement map.

### `scale`

Point

Defined in `src/pixi/filters/NormalMapFilter.js:196`

The multiplier used to scale the displacement result from the map calculation.